OpenShot Audio Library | OpenShotAudio 0.4.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
juce::universal_midi_packets::Midi1ToMidi2DefaultTranslator Class Reference

`#include <juce_UMPMidi1ToMidi2DefaultTranslator.h>`

## Public Member Functions
template<typename PacketCallback >
void | dispatch (const View &v, PacketCallback &&callback)
void | reset ()

## Detailed Description

Translates a series of MIDI 1 Universal MIDI Packets to corresponding MIDI 2 packets.

Definition at line 34 of file juce_UMPMidi1ToMidi2DefaultTranslator.h.

## Member Function Documentation

## ◆ dispatch()

template<typename PacketCallback >

void juce::universal_midi_packets::Midi1ToMidi2DefaultTranslator::dispatch | ( | const View & | v,
|  | PacketCallback && | callback )
| inline

Converts MIDI 1 Universal MIDI Packets to corresponding MIDI 2 packets, calling `callback` with each converted packet.

In some cases (such as RPN/NRPN messages) multiple MIDI 1 packets will convert to a single MIDI 2 packet. In these cases, the translator will accumulate the full message internally, and send a single callback with the completed message, once all the individual MIDI 1 packets have been processed.

Definition at line 49 of file juce_UMPMidi1ToMidi2DefaultTranslator.h.

## ◆ reset()

void juce::universal_midi_packets::Midi1ToMidi2DefaultTranslator::reset | ( |  | ) |
| inline

Definition at line 118 of file juce_UMPMidi1ToMidi2DefaultTranslator.h.

The documentation for this class was generated from the following files:

- juce_UMPMidi1ToMidi2DefaultTranslator.h
- juce_UMPMidi1ToMidi2DefaultTranslator.cpp